#
# spec file for package kinternet (Version 0.75)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils dirmngr e2fsprogs expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gpg gpg2 gpgme gpm grep groff gtk2 gzip hal info insserv jack jack-devel kdebase3 kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc kdepim3 kdepim3-devel kdepim3-networkstatus kdepim3-sync klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libksba liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openslp openslp-devel openssl openssl-devel pam pam-modules pango patch pcre pcre-devel perl perl-PDA-Pilot permissions pilot-link pinentry pkgconfig popt powersave-libs procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           kinternet
BuildRequires:  dbus-1-qt3-devel kdelibs3-devel kdepim3-devel kdepim3-networkstatus openslp-devel
License:        GPL
Group:          Productivity/Networking/PPP
Summary:        SUSE Internet Connect Tool
Requires:       smpppd
Obsoletes:      kinternet-soho
Version:        0.75
Release:        19.4
Source0:        kinternet-%{PACKAGE_VERSION}.tar.bz2
Patch:          kinternet_switch_kde_networkstatus.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This small KDE application can manage an Internet connection.



Authors:
--------
    Arvin Schnell <arvin@suse.de>
    Adrian Schrter <adrian@suse.de>
    Thomas Strehl <strehl@suse.de>
    Stefan Rauch <srauch@suse.de>
    Danny Kukawka <dkukawka@suse.de>

%debug_package
%prep
%setup
%patch
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make $INSTALL_TARGET DESTDIR=%{buildroot}
%suse_update_desktop_file -G "Internet Dialup" kinternet Network Dialup

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc COPYING AUTHORS INSTALL README
%docdir /usr/share/doc
/opt/kde3/bin/kinternet
/opt/kde3/%{_lib}/lib*
/opt/kde3/%{_lib}/kde3/*
/opt/kde3/share/applications/kde/kinternet.desktop
/opt/kde3/share/autostart/kinternet.desktop
/opt/kde3/share/apps/kinternet
/opt/kde3/share/apps/kconf_update
/opt/kde3/share/icons/hicolor
/opt/kde3/share/locale

%changelog -n kinternet
* Tue Jun 27 2006 - coolo@suse.de
- updating translations (#173840)
* Mon Apr 24 2006 - wstephenson@suse.de
- Enable network switching by default, part of fix for #165907
* Sat Mar 11 2006 - coolo@suse.de
- give it a generic name
* Mon Jan 30 2006 - dmueller@suse.de
- add dbus-1-qt3-devel
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - lnussel@suse.de
- add %%run_ldconfig to %%post (#144745)
* Mon Oct 10 2005 - arvin@suse.de
- KDE Style Guide adoptions from Stephan Binner
* Mon Oct 10 2005 - arvin@suse.de
- fixed generation of messages (bug #113334)
* Tue Aug 30 2005 - jg@suse.de
- wireless support: shutting down interface before connecting
  to an access point; this should avoid interference with possibly
  running wpa_supplicant (bug 113593)
* Thu Aug 11 2005 - arvin@suse.de
- fixed some typos in messages
* Mon Mar 21 2005 - adrian@suse.de
- translation updates
* Fri Mar 18 2005 - jg@suse.de
- fixed crash on reconnect (bug 73856)
- do not display signal and noise level when value is 0
- select full line in scanning dialog
- translation updates
* Thu Mar 17 2005 - ro@suse.de
- add kdepim3-networkstatus to neededforbuild
* Mon Mar 14 2005 - adrian@suse.de
- update from current cvs
  * various fixes and translation updates
  * KDE Network Status is not set by default
* Mon Mar 07 2005 - adrian@suse.de
- update from current cvs
  * WLAN support updates from Danny
  * fix KDE network status state, when non-smpppd managed network
  connections are used
* Tue Feb 22 2005 - adrian@suse.de
- update to current cvs
  * contains wireless lan gui from Danny
- drop qinternet, kinternet is used in Gnome also since some time
* Mon Jan 31 2005 - arvin@suse.de
- add DCOP interfaces for network status applet
* Thu Dec 16 2004 - coolo@suse.de
- disable unsermake (suffix rules not implemented)
* Wed Sep 29 2004 - arvin@suse.de
- updated some translations
* Mon Sep 27 2004 - arvin@suse.de
- added new translations
* Fri Sep 24 2004 - arvin@suse.de
- updated some translations
* Thu Sep 23 2004 - arvin@suse.de
- make kinternet happy under GNOME (bug #27562)
* Tue Sep 21 2004 - arvin@suse.de
- updated some translations
- workaround for a typo
* Thu Sep 16 2004 - arvin@suse.de
- fixed file list for lib64 plattforms
* Thu Sep 16 2004 - arvin@suse.de
- run kinternet as kdeinit module
* Mon Sep 06 2004 - arvin@suse.de
- updated some translations
* Fri Jul 23 2004 - arvin@suse.de
- implemented control of further interfaces
* Thu Jul 08 2004 - arvin@suse.de
- allow frontends to set dial-prefix (#23315)
* Tue Jun 29 2004 - arvin@suse.de
- fixed initial placing of dialogs
* Fri Jun 25 2004 - arvin@suse.de
- added kwallet support
* Thu Apr 01 2004 - arvin@suse.de
- updated various translations
* Wed Mar 31 2004 - arvin@suse.de
- updated various translations
* Tue Mar 23 2004 - arvin@suse.de
- update config file (bug #36612)
- updated and added various translations
* Fri Mar 19 2004 - arvin@suse.de
- updated and added various translations
- new main icon
* Fri Mar 12 2004 - arvin@suse.de
- updated and added various translations
* Wed Feb 18 2004 - arvin@suse.de
- improved parsing of config files
* Tue Feb 17 2004 - arvin@suse.de
- adapted installation of desktop files
* Tue Feb 10 2004 - arvin@suse.de
- suppress error popup in quiet mode
* Fri Jan 30 2004 - arvin@suse.de
- added SLP support
- rewrote lookup of smpppd
* Mon Jan 19 2004 - arvin@suse.de
- allow to bind mouse buttons to different actions
* Fri Oct 31 2003 - arvin@suse.de
- build rpms as non-root user
* Wed Sep 24 2003 - arvin@suse.de
- added icon for main window
* Fri Sep 12 2003 - arvin@suse.de
- added Japanese translations
* Fri Sep 12 2003 - arvin@suse.de
- updated some translations
* Mon Sep 08 2003 - arvin@suse.de
- updated some translations
* Mon Sep 08 2003 - arvin@suse.de
- fixed icon installation for desktop file
* Sat Sep 06 2003 - arvin@suse.de
- fixed translation of message about already running kinternet
  (bug #29970)
* Mon Sep 01 2003 - arvin@suse.de
- updated some translations
* Mon Sep 01 2003 - arvin@suse.de
- updated some translations
* Fri Aug 29 2003 - arvin@suse.de
- added tooltip for kinternet (bug #29079)
* Thu Aug 28 2003 - arvin@suse.de
- fixed transparent background in swallow mode
* Tue Aug 26 2003 - arvin@suse.de
- better position of icon and text in swallow mode
- updated some translations
* Mon Aug 18 2003 - arvin@suse.de
- updated German translations
* Tue Aug 12 2003 - adrian@suse.de
- justify Categories
* Tue Aug 05 2003 - arvin@suse.de
- correct category for desktop files
* Fri Aug 01 2003 - arvin@suse.de
- new desktop files
* Tue Jun 10 2003 - arvin@suse.de
- better generation of moc files (bug #26345)
* Thu Jun 05 2003 - arvin@suse.de
- added multi link support
* Tue Apr 29 2003 - arvin@suse.de
- fixed seg. fault when using kinternet with display mode plain
  or swallow
* Mon Apr 14 2003 - arvin@suse.de
- extended dcop interface for susewatcher (bug #26044)
* Mon Mar 17 2003 - arvin@suse.de
- fixed seg. fault when no smpppd is running (bug #25441)
* Wed Mar 12 2003 - arvin@suse.de
- added Dutch translation
* Tue Mar 11 2003 - arvin@suse.de
- updated Italian translation
* Mon Mar 10 2003 - arvin@suse.de
- updated various translations
* Tue Mar 04 2003 - arvin@suse.de
- evaluate new config from smpppd even if config view dialog
  is not open
* Fri Feb 28 2003 - arvin@suse.de
- updated and added various translations
* Mon Feb 17 2003 - arvin@suse.de
- disable interface combobox in settings dialog if it's empty
* Sat Feb 15 2003 - arvin@suse.de
- finished redesigned settings dialog
* Mon Feb 10 2003 - arvin@suse.de
- added Greek translation contributed by Spiros Georgaras
* Fri Feb 07 2003 - arvin@suse.de
- moved translations for qinternet to /usr/share/locale
* Thu Feb 06 2003 - arvin@suse.de
- updated English and German messages
* Mon Feb 03 2003 - arvin@suse.de
- workaround for broken moc files dependencies creation
* Sun Feb 02 2003 - arvin@suse.de
- redesigned settings dialog
* Wed Jan 22 2003 - arvin@suse.de
- send dcop signals for susewatch after connect and disconnect
- also allow execution of script after disconnect (bug #21806)
* Mon Jan 20 2003 - arvin@suse.de
- added command line options for qinternet
* Thu Jan 16 2003 - arvin@suse.de
- added translations to qinternet
* Wed Jan 15 2003 - arvin@suse.de
- also provider a pure qt version of kinternet called qinternet
  which lacks a few features
* Thu Oct 10 2002 - arvin@suse.de
- display datarate in human readable format (e.g., 19.4 MB/s)
- removed obsolete version file
* Mon Oct 07 2002 - arvin@suse.de
- handle data transfer informations greater than 2GB (on 32 bit
  systems)
* Tue Sep 24 2002 - arvin@suse.de
- when autostarting kinternet start it after kicker has started
  (bug #20364)
* Sun Sep 08 2002 - arvin@suse.de
- fixed initialization of transmission icon
* Tue Sep 03 2002 - arvin@suse.de
- updated Hungarian translations
* Mon Sep 02 2002 - arvin@suse.de
- updated some translations
- removed incomplete Korean translation
* Mon Aug 12 2002 - arvin@suse.de
- removed outdated documentation
* Fri Jul 26 2002 - arvin@suse.de
- include directories is rpm file list
* Thu Jul 11 2002 - arvin@suse.de
- display rx and tx data rate in separate graphs
* Wed Jul 03 2002 - arvin@suse.de
- the user can configure kinternet to be started during login
  or not (bug #16796)
* Wed Jun 12 2002 - adrian@suse.de
- use update_admin
* Mon Jun 10 2002 - arvin@suse.de
- added option "--wait-for-smpppd"
* Wed May 22 2002 - arvin@suse.de
- updated kde admin stuff to fix building on x86_64
* Wed May 08 2002 - arvin@suse.de
- regular check that the connection to the smpppd is ok
* Wed Mar 20 2002 - arvin@suse.de
- for non dial on demand map dialin to start and hangup to stop
  (for better usability)
* Tue Mar 05 2002 - arvin@suse.de
- use a qapplication to display "already running" message.
  workaround for buggy kde3. (part 2 of bug #14172)
* Fri Mar 01 2002 - arvin@suse.de
- updated documentation
* Tue Feb 26 2002 - arvin@suse.de
- updated translations
* Sat Feb 23 2002 - arvin@suse.de
- updated translations
* Fri Feb 15 2002 - arvin@suse.de
- better appearance of logview with qt3/kde3
* Fri Jan 18 2002 - arvin@suse.de
- added dialog to display current dial-up configuration
* Wed Jan 16 2002 - arvin@suse.de
- undated translations
* Tue Jan 08 2002 - arvin@suse.de
- used threaded qt library
* Fri Dec 14 2001 - arvin@suse.de
- ported to kde3
* Mon Dec 10 2001 - arvin@suse.de
- added support for new smpppd commands dialin and hangup
* Fri Dec 07 2001 - arvin@suse.de
- use openssl md5 functions since kde counterparts are broken
  on ppc
* Fri Nov 30 2001 - arvin@suse.de
- updated automake/autoconf admin directory
* Wed Nov 28 2001 - arvin@suse.de
- added menu to select the interface
* Mon Nov 26 2001 - arvin@suse.de
- use official port number 3185 from IANA (with 53163 as fallback)
* Thu Nov 15 2001 - arvin@suse.de
- added possibility to save log into a file
* Wed Nov 14 2001 - arvin@suse.de
- added finnish translation (by Jari Korhonen)
* Fri Nov 09 2001 - arvin@suse.de
- use kde2-devel-packages in neededforbuild
* Tue Oct 23 2001 - arvin@suse.de
- use buildroot in spec file
* Tue Oct 09 2001 - arvin@suse.de
- fixed segmentation fault on ppc
* Mon Oct 08 2001 - adrian@suse.de
- add hungarian translation
* Thu Sep 20 2001 - arvin@suse.de
- use private port number 53163
* Wed Sep 12 2001 - arvin@suse.de
- added french translation
* Mon Sep 10 2001 - arvin@suse.de
- handle case where no defaultroute is present (bug #10399)
* Sun Sep 09 2001 - arvin@suse.de
- corrected some texts
* Fri Sep 07 2001 - arvin@suse.de
- dialog captions
* Thu Sep 06 2001 - arvin@suse.de
- added more error messages (bug #10242)
* Fri Aug 24 2001 - arvin@suse.de
- added file /opt/kde2/share/apps/kinternet/version (for adrian)
* Thu Aug 23 2001 - arvin@suse.de
- added dialog for various settings
* Tue Aug 21 2001 - arvin@suse.de
- changed protocol
* Mon Aug 20 2001 - arvin@suse.de
- better detection for kicker
* Mon Aug 20 2001 - arvin@suse.de
- new error icon
* Wed Aug 15 2001 - arvin@suse.de
- added possibility to start a script or program (bug #6898)
* Tue Aug 14 2001 - arvin@suse.de
- display own ip address in check dialog
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 09 2001 - arvin@suse.de
- fixed communication with server
* Wed Aug 08 2001 - arvin@suse.de
- fixed to build with new kde, autoconf, ...
* Thu Jul 26 2001 - arvin@suse.de
- some new icons from tackat
- fixed background in kde2 kicker
* Mon Jul 23 2001 - arvin@suse.de
- implemented datarate dialog
* Tue Jul 17 2001 - arvin@suse.de
- kinternet is now a frontend for smpppd
- new major version 0.40
* Sat Jul 07 2001 - arvin@suse.de
- neededforbuild += freetype2
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
- dropped documentation until kdelibs 2.2
* Tue May 08 2001 - arvin@suse.de
- replaced all email addresses with feedback@suse.de (as adrian
  demanded)
* Tue Apr 24 2001 - arvin@suse.de
- disabled use ipppdsp entirely
* Fri Apr 20 2001 - arvin@suse.de
- only call ipppdsd for SuSE Linux < 7.2
* Fri Apr 20 2001 - arvin@suse.de
- removed killipppd (it's also in i4l)
- added handling of exit code 10, 12 and 15 of pppd
* Wed Apr 18 2001 - arvin@suse.de
- fixed some bugs in ipppdsd and kinternet (still for bug #6169)
- added error messages to ipppdsd
* Tue Apr 17 2001 - arvin@suse.de
- added wrapper program ipppdsp and modified kinternet to use it
  (fix for bug #6169)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Thu Mar 22 2001 - arvin@suse.de
- integrated korean localization by super@susekorea.net
* Mon Mar 19 2001 - arvin@suse.de
- integrated swallow patch by adrian
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Feb 16 2001 - arvin@suse.de
- interprete names of providers as utf8 strings (bug #6362)
* Wed Feb 14 2001 - arvin@suse.de
- version 0.21
- automatic reload of /etc/rc.dialout finished
* Wed Feb 07 2001 - arvin@suse.de
- started work on automatic reload of /etc/rc.dialout
* Mon Feb 05 2001 - arvin@suse.de
- fixed CXXFLAGS (needed for ppc)
* Sat Jan 20 2001 - arvin@suse.de
- fixed race condition during start of KDE2
* Wed Jan 17 2001 - arvin@suse.de
- fixed lookup of default provider
* Tue Jan 16 2001 - arvin@suse.de
- fixed /sbin/init.d/* -> /usr/sbin/rc* (bug #5754)
* Mon Jan 08 2001 - arvin@suse.de
- fixed documentation (bug #5302)
* Sun Jan 07 2001 - arvin@suse.de
- fixed icon for kde2 menu
* Thu Jan 04 2001 - arvin@suse.de
- fixed parsing of /etc/rc.dialout
* Mon Dec 18 2000 - arvin@suse.de
- fixed segfault problem with ISDN
* Thu Dec 14 2000 - arvin@suse.de
- use kdesu to call yast2
* Wed Dec 13 2000 - arvin@suse.de
- parsing function for new layout of rc.dialout
- some example configurations (started)
* Mon Dec 11 2000 - arvin@suse.de
- mode TDSL can also be called ADSL
* Sun Dec 10 2000 - arvin@suse.de
- added mini icon to filelist
* Tue Dec 05 2000 - arvin@suse.de
- colored background of icon depending on status
* Tue Nov 28 2000 - arvin@suse.de
- fixed call of yast2 for 7.0
* Mon Nov 27 2000 - arvin@suse.de
- fixed call of yast2
* Tue Nov 21 2000 - arvin@suse.de
- fixed encoding for german translation
* Mon Nov 20 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel  (again)
* Mon Nov 20 2000 - arvin@suse.de
- works on 7.0
- more than one provider (in preparation)
* Tue Nov 07 2000 - arvin@suse.de
- reactivated pppoedsp
- some small changes
* Mon Nov 06 2000 - arvin@suse.de
- fixed to work with non KDE windowmanagers
- fixed icons
- lots of small stuff
* Mon Nov 06 2000 - adrian@suse.de
- Spec file created from kinternet-0.2.tar.bz2 by autospec
